var NAVTREE =
[
  [ "RMOL", "index.html", [
    [ "RMOL Documentation", "index.html", null ],
    [ "Related Pages", "pages.html", [
      [ "RMOL People", "authors.html", null ],
      [ "Coding Rules", "codingrules.html", null ],
      [ "Copyright and License", "copyright.html", null ],
      [ "Documentation Rules", "documentation.html", null ],
      [ "Main features of RMOL", "features.html", null ],
      [ "Make a Difference", "help_wanted.html", null ],
      [ "RMOL Installation", "installation.html", null ],
      [ "Linking with RMOL", "linking.html", null ],
      [ "Test Rules", "test.html", null ],
      [ "Users Guide", "users_guide.html", null ],
      [ "RMOL Supported Systems", "verification.html", null ],
      [ "RMOL Supported Systems (Previous Releases)", "verification_old.html", null ],
      [ "BPSK modulation over an AWGN channel", "bpsk.html", null ],
      [ "Simulation of a convolutional encoder and decoder", "convcode.html", null ],
      [ "Interleaving and de-interleaving of data", "interleaver.html", null ],
      [ "Writing and reading data from files", "itfile.html", null ],
      [ "Simulation of LDPC codes the AWGN channel", "ldpc_bersim_awgn.html", null ],
      [ "Generation of LDPC codes", "ldpc_gen_codes.html", null ],
      [ "Conversion table between IT++ syntax and Matlab/Octave", "matlab_itpp.html", null ],
      [ "MIMO (spatial multiplexing) with convolutional coding", "mimoconv.html", null ],
      [ "Using Mixture of Gaussians (MOG) module to model data", "mog.html", null ],
      [ "Simulation of QPSK modulation on an AWGN channel", "qpsk_simulation.html", null ],
      [ "Generating a correlated Rayleigh fading process", "rayleigh.html", null ],
      [ "Simulation of a Reed-Solomon Block Code", "reedsolomon.html", null ],
      [ "Simulation of a Multicode CDMA system on an AWGN channel", "spread.html", null ],
      [ "Using timers to measure execution time", "timer.html", null ],
      [ "Tutorials", "tutorial.html", null ],
      [ "A very simple tutorial about vectors and matrixes", "vector_and_matrix.html", null ]
    ] ],
    [ "Class List", "annotated.html", [
      [ "RMOL::BasChronometer", "structRMOL_1_1BasChronometer.html", null ],
      [ "RMOL::BomAbstract", "classRMOL_1_1BomAbstract.html", null ],
      [ "RMOL::Bucket", "classRMOL_1_1Bucket.html", null ],
      [ "RMOL::BucketHolder", "classRMOL_1_1BucketHolder.html", null ],
      [ "RMOL::Demand", "classRMOL_1_1Demand.html", null ],
      [ "RMOL::DocumentNotFoundException", "classRMOL_1_1DocumentNotFoundException.html", null ],
      [ "RMOL::DPOptimiser", "classRMOL_1_1DPOptimiser.html", null ],
      [ "RMOL::Emsr", "classRMOL_1_1Emsr.html", null ],
      [ "RMOL::EmsrUtils", "classRMOL_1_1EmsrUtils.html", null ],
      [ "RMOL::FacBomAbstract", "classRMOL_1_1FacBomAbstract.html", null ],
      [ "RMOL::FacBucket", "classRMOL_1_1FacBucket.html", null ],
      [ "RMOL::FacBucketHolder", "classRMOL_1_1FacBucketHolder.html", null ],
      [ "RMOL::FacDemand", "classRMOL_1_1FacDemand.html", null ],
      [ "RMOL::FacOverbooking", "classRMOL_1_1FacOverbooking.html", null ],
      [ "RMOL::FacPartialSumHolder", "classRMOL_1_1FacPartialSumHolder.html", null ],
      [ "RMOL::FacPartialSumHolderHolder", "classRMOL_1_1FacPartialSumHolderHolder.html", null ],
      [ "RMOL::FacRmolServiceContext", "classRMOL_1_1FacRmolServiceContext.html", null ],
      [ "RMOL::FacServiceAbstract", "classRMOL_1_1FacServiceAbstract.html", null ],
      [ "RMOL::FacStudyStatManager", "classRMOL_1_1FacStudyStatManager.html", null ],
      [ "RMOL::FacSupervisor", "classRMOL_1_1FacSupervisor.html", null ],
      [ "RMOL::FileMgr", "classRMOL_1_1FileMgr.html", null ],
      [ "RMOL::FileNotFoundException", "classRMOL_1_1FileNotFoundException.html", null ],
      [ "RMOL::FldAbstract", "classRMOL_1_1FldAbstract.html", null ],
      [ "RMOL::FldDistributionParameters", "classRMOL_1_1FldDistributionParameters.html", null ],
      [ "RMOL::FldOverbookingPolicy", "classRMOL_1_1FldOverbookingPolicy.html", null ],
      [ "RMOL::FldYieldRange", "classRMOL_1_1FldYieldRange.html", null ],
      [ "RMOL::Forecaster", "classRMOL_1_1Forecaster.html", null ],
      [ "RMOL::Gaussian", "classRMOL_1_1Gaussian.html", null ],
      [ "RMOL::HistoricalBooking", "structRMOL_1_1HistoricalBooking.html", null ],
      [ "RMOL::HistoricalBookingHolder", "structRMOL_1_1HistoricalBookingHolder.html", null ],
      [ "RMOL::HistoricalBookingHolderHolder", "structRMOL_1_1HistoricalBookingHolderHolder.html", null ],
      [ "RMOL::HistoricalDataHolder", "structRMOL_1_1HistoricalDataHolder.html", null ],
      [ "RMOL::HistoricalDataHolderHolder", "structRMOL_1_1HistoricalDataHolderHolder.html", null ],
      [ "RMOL::Logger", "classRMOL_1_1Logger.html", null ],
      [ "RMOL::MAForecast", "classRMOL_1_1MAForecast.html", null ],
      [ "RMOL::MCOptimiser", "classRMOL_1_1MCOptimiser.html", null ],
      [ "RMOL::MemoryAllocationException", "classRMOL_1_1MemoryAllocationException.html", null ],
      [ "RMOL::NonInitialisedServiceException", "classRMOL_1_1NonInitialisedServiceException.html", null ],
      [ "RMOL::ObjectNotFoundException", "classRMOL_1_1ObjectNotFoundException.html", null ],
      [ "RMOL::Optimiser", "classRMOL_1_1Optimiser.html", null ],
      [ "RMOL::Overbooking", "classRMOL_1_1Overbooking.html", null ],
      [ "RMOL::PartialSumHolder", "classRMOL_1_1PartialSumHolder.html", null ],
      [ "RMOL::PartialSumHolderHolder", "classRMOL_1_1PartialSumHolderHolder.html", null ],
      [ "RMOL::QEquivalentBookingCalculator", "classRMOL_1_1QEquivalentBookingCalculator.html", null ],
      [ "RMOL::RMOL_Service", "classRMOL_1_1RMOL__Service.html", null ],
      [ "RMOL::RMOL_ServiceContext", "classRMOL_1_1RMOL__ServiceContext.html", null ],
      [ "RMOL::RootException", "classRMOL_1_1RootException.html", null ],
      [ "RMOL::SellupProbabilityCalculator", "classRMOL_1_1SellupProbabilityCalculator.html", null ],
      [ "RMOL::ServiceAbstract", "classRMOL_1_1ServiceAbstract.html", null ],
      [ "RMOL::StatAggregatorStruct_T", "structRMOL_1_1StatAggregatorStruct__T.html", null ],
      [ "RMOL::StructAbstract", "structRMOL_1_1StructAbstract.html", null ],
      [ "RMOL::StudyStatManager", "classRMOL_1_1StudyStatManager.html", null ],
      [ "RMOL::Unconstrainer", "classRMOL_1_1Unconstrainer.html", null ]
    ] ],
    [ "Class Index", "classes.html", null ],
    [ "Class Hierarchy", "hierarchy.html", [
      [ "RMOL::BasChronometer", "structRMOL_1_1BasChronometer.html", null ],
      [ "RMOL::BomAbstract", "classRMOL_1_1BomAbstract.html", [
        [ "RMOL::Bucket", "classRMOL_1_1Bucket.html", null ],
        [ "RMOL::BucketHolder", "classRMOL_1_1BucketHolder.html", null ],
        [ "RMOL::Demand", "classRMOL_1_1Demand.html", null ],
        [ "RMOL::MAForecast", "classRMOL_1_1MAForecast.html", null ],
        [ "RMOL::Overbooking", "classRMOL_1_1Overbooking.html", null ],
        [ "RMOL::PartialSumHolder", "classRMOL_1_1PartialSumHolder.html", null ],
        [ "RMOL::PartialSumHolderHolder", "classRMOL_1_1PartialSumHolderHolder.html", null ],
        [ "RMOL::QEquivalentBookingCalculator", "classRMOL_1_1QEquivalentBookingCalculator.html", null ],
        [ "RMOL::SellupProbabilityCalculator", "classRMOL_1_1SellupProbabilityCalculator.html", null ],
        [ "RMOL::StudyStatManager", "classRMOL_1_1StudyStatManager.html", null ]
      ] ],
      [ "RMOL::DPOptimiser", "classRMOL_1_1DPOptimiser.html", null ],
      [ "RMOL::Emsr", "classRMOL_1_1Emsr.html", null ],
      [ "RMOL::EmsrUtils", "classRMOL_1_1EmsrUtils.html", null ],
      [ "RMOL::FacBomAbstract", "classRMOL_1_1FacBomAbstract.html", [
        [ "RMOL::FacBucket", "classRMOL_1_1FacBucket.html", null ],
        [ "RMOL::FacBucketHolder", "classRMOL_1_1FacBucketHolder.html", null ],
        [ "RMOL::FacDemand", "classRMOL_1_1FacDemand.html", null ],
        [ "RMOL::FacOverbooking", "classRMOL_1_1FacOverbooking.html", null ],
        [ "RMOL::FacPartialSumHolder", "classRMOL_1_1FacPartialSumHolder.html", null ],
        [ "RMOL::FacPartialSumHolderHolder", "classRMOL_1_1FacPartialSumHolderHolder.html", null ],
        [ "RMOL::FacStudyStatManager", "classRMOL_1_1FacStudyStatManager.html", null ]
      ] ],
      [ "RMOL::FacServiceAbstract", "classRMOL_1_1FacServiceAbstract.html", [
        [ "RMOL::FacRmolServiceContext", "classRMOL_1_1FacRmolServiceContext.html", null ]
      ] ],
      [ "RMOL::FacSupervisor", "classRMOL_1_1FacSupervisor.html", null ],
      [ "RMOL::FileMgr", "classRMOL_1_1FileMgr.html", null ],
      [ "RMOL::FldAbstract", "classRMOL_1_1FldAbstract.html", [
        [ "RMOL::FldDistributionParameters", "classRMOL_1_1FldDistributionParameters.html", null ],
        [ "RMOL::FldOverbookingPolicy", "classRMOL_1_1FldOverbookingPolicy.html", null ],
        [ "RMOL::FldYieldRange", "classRMOL_1_1FldYieldRange.html", null ]
      ] ],
      [ "RMOL::Forecaster", "classRMOL_1_1Forecaster.html", null ],
      [ "RMOL::Gaussian", "classRMOL_1_1Gaussian.html", null ],
      [ "RMOL::Logger", "classRMOL_1_1Logger.html", null ],
      [ "RMOL::MCOptimiser", "classRMOL_1_1MCOptimiser.html", null ],
      [ "RMOL::Optimiser", "classRMOL_1_1Optimiser.html", null ],
      [ "RMOL::RMOL_Service", "classRMOL_1_1RMOL__Service.html", null ],
      [ "RMOL::RootException", "classRMOL_1_1RootException.html", [
        [ "RMOL::DocumentNotFoundException", "classRMOL_1_1DocumentNotFoundException.html", null ],
        [ "RMOL::FileNotFoundException", "classRMOL_1_1FileNotFoundException.html", null ],
        [ "RMOL::MemoryAllocationException", "classRMOL_1_1MemoryAllocationException.html", null ],
        [ "RMOL::NonInitialisedServiceException", "classRMOL_1_1NonInitialisedServiceException.html", null ],
        [ "RMOL::ObjectNotFoundException", "classRMOL_1_1ObjectNotFoundException.html", null ]
      ] ],
      [ "RMOL::ServiceAbstract", "classRMOL_1_1ServiceAbstract.html", [
        [ "RMOL::RMOL_ServiceContext", "classRMOL_1_1RMOL__ServiceContext.html", null ]
      ] ],
      [ "RMOL::StatAggregatorStruct_T", "structRMOL_1_1StatAggregatorStruct__T.html", null ],
      [ "RMOL::StructAbstract", "structRMOL_1_1StructAbstract.html", [
        [ "RMOL::HistoricalBooking", "structRMOL_1_1HistoricalBooking.html", null ],
        [ "RMOL::HistoricalBookingHolder", "structRMOL_1_1HistoricalBookingHolder.html", null ],
        [ "RMOL::HistoricalBookingHolderHolder", "structRMOL_1_1HistoricalBookingHolderHolder.html", null ],
        [ "RMOL::HistoricalDataHolder", "structRMOL_1_1HistoricalDataHolder.html", null ],
        [ "RMOL::HistoricalDataHolderHolder", "structRMOL_1_1HistoricalDataHolderHolder.html", null ]
      ] ],
      [ "RMOL::Unconstrainer", "classRMOL_1_1Unconstrainer.html", null ]
    ] ],
    [ "Class Members", "functions.html", null ],
    [ "Namespace List", "namespaces.html", [
      [ "RMOL", "namespaceRMOL.html", null ],
      [ "RMOL::LOG", "namespaceRMOL_1_1LOG.html", null ]
    ] ],
    [ "Namespace Members", "namespacemembers.html", null ],
    [ "File List", "files.html", [
      [ "doc/tutorial/src/bpsk.cpp", "bpsk_8cpp.html", null ],
      [ "doc/tutorial/src/convcode.cpp", "convcode_8cpp.html", null ],
      [ "doc/tutorial/src/interleaver.cpp", "interleaver_8cpp.html", null ],
      [ "doc/tutorial/src/ldpc_bersim_awgn.cpp", "ldpc__bersim__awgn_8cpp.html", null ],
      [ "doc/tutorial/src/ldpc_gen_codes.cpp", "ldpc__gen__codes_8cpp.html", null ],
      [ "doc/tutorial/src/mimoconv.cpp", "mimoconv_8cpp.html", null ],
      [ "doc/tutorial/src/mog.cpp", "mog_8cpp.html", null ],
      [ "doc/tutorial/src/qpsk_simulation.cpp", "qpsk__simulation_8cpp.html", null ],
      [ "doc/tutorial/src/rayleigh.cpp", "rayleigh_8cpp.html", null ],
      [ "doc/tutorial/src/read_it_file.cpp", "read__it__file_8cpp.html", null ],
      [ "doc/tutorial/src/reedsolomon.cpp", "reedsolomon_8cpp.html", null ],
      [ "doc/tutorial/src/spread.cpp", "spread_8cpp.html", null ],
      [ "doc/tutorial/src/timer.cpp", "timer_8cpp.html", null ],
      [ "doc/tutorial/src/vector_and_matrix.cpp", "vector__and__matrix_8cpp.html", null ],
      [ "doc/tutorial/src/write_it_file.cpp", "write__it__file_8cpp.html", null ],
      [ "rmol/RMOL_FORECASTER_Types.hpp", "RMOL__FORECASTER__Types_8hpp.html", null ],
      [ "rmol/RMOL_Service.hpp", "RMOL__Service_8hpp.html", null ],
      [ "rmol/RMOL_Types.hpp", "RMOL__Types_8hpp.html", null ],
      [ "rmol/basic/BasChronometer.cpp", "BasChronometer_8cpp.html", null ],
      [ "rmol/basic/BasChronometer.hpp", "BasChronometer_8hpp.html", null ],
      [ "rmol/basic/BasConst.cpp", "BasConst_8cpp.html", null ],
      [ "rmol/basic/BasConst_General.hpp", "BasConst__General_8hpp.html", null ],
      [ "rmol/basic/BasConst_Overbooking.hpp", "BasConst__Overbooking_8hpp.html", null ],
      [ "rmol/basic/BasConst_RMOL_Service.hpp", "BasConst__RMOL__Service_8hpp.html", null ],
      [ "rmol/batches/rmol.cpp", "rmol_8cpp.html", null ],
      [ "rmol/bom/BomAbstract.cpp", "BomAbstract_8cpp.html", null ],
      [ "rmol/bom/BomAbstract.hpp", "BomAbstract_8hpp.html", null ],
      [ "rmol/bom/Bucket.cpp", "Bucket_8cpp.html", null ],
      [ "rmol/bom/Bucket.hpp", "Bucket_8hpp.html", null ],
      [ "rmol/bom/BucketHolder.cpp", "BucketHolder_8cpp.html", null ],
      [ "rmol/bom/BucketHolder.hpp", "BucketHolder_8hpp.html", null ],
      [ "rmol/bom/BucketList.hpp", "BucketList_8hpp.html", null ],
      [ "rmol/bom/Demand.cpp", "Demand_8cpp.html", null ],
      [ "rmol/bom/Demand.hpp", "Demand_8hpp.html", null ],
      [ "rmol/bom/DistributionParameterList.hpp", "DistributionParameterList_8hpp.html", null ],
      [ "rmol/bom/DPOptimiser.cpp", "DPOptimiser_8cpp.html", null ],
      [ "rmol/bom/DPOptimiser.hpp", "DPOptimiser_8hpp.html", null ],
      [ "rmol/bom/Emsr.cpp", "Emsr_8cpp.html", null ],
      [ "rmol/bom/Emsr.hpp", "Emsr_8hpp.html", null ],
      [ "rmol/bom/EmsrUtils.cpp", "EmsrUtils_8cpp.html", null ],
      [ "rmol/bom/EmsrUtils.hpp", "EmsrUtils_8hpp.html", null ],
      [ "rmol/bom/Gaussian.cpp", "Gaussian_8cpp.html", null ],
      [ "rmol/bom/Gaussian.hpp", "Gaussian_8hpp.html", null ],
      [ "rmol/bom/HistoricalBooking.hpp", "HistoricalBooking_8hpp.html", null ],
      [ "rmol/bom/HistoricalBookingHolder.hpp", "HistoricalBookingHolder_8hpp.html", null ],
      [ "rmol/bom/HistoricalBookingHolderHolder.hpp", "HistoricalBookingHolderHolder_8hpp.html", null ],
      [ "rmol/bom/HistoricalDataHolder.cpp", "HistoricalDataHolder_8cpp.html", null ],
      [ "rmol/bom/HistoricalDataHolder.hpp", "HistoricalDataHolder_8hpp.html", null ],
      [ "rmol/bom/HistoricalDataHolderHolder.cpp", "HistoricalDataHolderHolder_8cpp.html", null ],
      [ "rmol/bom/HistoricalDataHolderHolder.hpp", "HistoricalDataHolderHolder_8hpp.html", null ],
      [ "rmol/bom/MAForecast.cpp", "MAForecast_8cpp.html", null ],
      [ "rmol/bom/MAForecast.hpp", "MAForecast_8hpp.html", null ],
      [ "rmol/bom/MCOptimiser.cpp", "MCOptimiser_8cpp.html", null ],
      [ "rmol/bom/MCOptimiser.hpp", "MCOptimiser_8hpp.html", null ],
      [ "rmol/bom/Overbooking.cpp", "Overbooking_8cpp.html", null ],
      [ "rmol/bom/Overbooking.hpp", "Overbooking_8hpp.html", null ],
      [ "rmol/bom/PartialSumHolder.cpp", "PartialSumHolder_8cpp.html", null ],
      [ "rmol/bom/PartialSumHolder.hpp", "PartialSumHolder_8hpp.html", null ],
      [ "rmol/bom/PartialSumHolderHolder.cpp", "PartialSumHolderHolder_8cpp.html", null ],
      [ "rmol/bom/PartialSumHolderHolder.hpp", "PartialSumHolderHolder_8hpp.html", null ],
      [ "rmol/bom/PartialSumHolderList.hpp", "PartialSumHolderList_8hpp.html", null ],
      [ "rmol/bom/PartialSumList.hpp", "PartialSumList_8hpp.html", null ],
      [ "rmol/bom/QEquivalentBookingCalculator.cpp", "QEquivalentBookingCalculator_8cpp.html", null ],
      [ "rmol/bom/QEquivalentBookingCalculator.hpp", "QEquivalentBookingCalculator_8hpp.html", null ],
      [ "rmol/bom/SellupProbabilityCalculator.cpp", "SellupProbabilityCalculator_8cpp.html", null ],
      [ "rmol/bom/SellupProbabilityCalculator.hpp", "SellupProbabilityCalculator_8hpp.html", null ],
      [ "rmol/bom/StatAggregatorStruct.cpp", "StatAggregatorStruct_8cpp.html", null ],
      [ "rmol/bom/StatAggregatorStruct.hpp", "StatAggregatorStruct_8hpp.html", null ],
      [ "rmol/bom/StatAggregatorStructList.hpp", "StatAggregatorStructList_8hpp.html", null ],
      [ "rmol/bom/StructAbstract.hpp", "StructAbstract_8hpp.html", null ],
      [ "rmol/bom/StudyStatManager.cpp", "StudyStatManager_8cpp.html", null ],
      [ "rmol/bom/StudyStatManager.hpp", "StudyStatManager_8hpp.html", null ],
      [ "rmol/bom/VariateList.hpp", "VariateList_8hpp.html", null ],
      [ "rmol/command/FileMgr.cpp", "FileMgr_8cpp.html", null ],
      [ "rmol/command/FileMgr.hpp", "FileMgr_8hpp.html", null ],
      [ "rmol/command/Forecaster.cpp", "Forecaster_8cpp.html", null ],
      [ "rmol/command/Forecaster.hpp", "Forecaster_8hpp.html", null ],
      [ "rmol/command/Optimiser.cpp", "Optimiser_8cpp.html", null ],
      [ "rmol/command/Optimiser.hpp", "Optimiser_8hpp.html", null ],
      [ "rmol/command/Unconstrainer.cpp", "Unconstrainer_8cpp.html", null ],
      [ "rmol/command/Unconstrainer.hpp", "Unconstrainer_8hpp.html", null ],
      [ "rmol/config/rmol-paths.hpp", "rmol-paths_8hpp.html", null ],
      [ "rmol/factory/FacBomAbstract.cpp", "FacBomAbstract_8cpp.html", null ],
      [ "rmol/factory/FacBomAbstract.hpp", "FacBomAbstract_8hpp.html", null ],
      [ "rmol/factory/FacBucket.cpp", "FacBucket_8cpp.html", null ],
      [ "rmol/factory/FacBucket.hpp", "FacBucket_8hpp.html", null ],
      [ "rmol/factory/FacBucketHolder.cpp", "FacBucketHolder_8cpp.html", null ],
      [ "rmol/factory/FacBucketHolder.hpp", "FacBucketHolder_8hpp.html", null ],
      [ "rmol/factory/FacDemand.cpp", "FacDemand_8cpp.html", null ],
      [ "rmol/factory/FacDemand.hpp", "FacDemand_8hpp.html", null ],
      [ "rmol/factory/FacOverbooking.cpp", "FacOverbooking_8cpp.html", null ],
      [ "rmol/factory/FacOverbooking.hpp", "FacOverbooking_8hpp.html", null ],
      [ "rmol/factory/FacPartialSumHolder.cpp", "FacPartialSumHolder_8cpp.html", null ],
      [ "rmol/factory/FacPartialSumHolder.hpp", "FacPartialSumHolder_8hpp.html", null ],
      [ "rmol/factory/FacPartialSumHolderHolder.cpp", "FacPartialSumHolderHolder_8cpp.html", null ],
      [ "rmol/factory/FacPartialSumHolderHolder.hpp", "FacPartialSumHolderHolder_8hpp.html", null ],
      [ "rmol/factory/FacRmolServiceContext.cpp", "FacRmolServiceContext_8cpp.html", null ],
      [ "rmol/factory/FacRmolServiceContext.hpp", "FacRmolServiceContext_8hpp.html", null ],
      [ "rmol/factory/FacServiceAbstract.cpp", "FacServiceAbstract_8cpp.html", null ],
      [ "rmol/factory/FacServiceAbstract.hpp", "FacServiceAbstract_8hpp.html", null ],
      [ "rmol/factory/FacStudyStatManager.cpp", "FacStudyStatManager_8cpp.html", null ],
      [ "rmol/factory/FacStudyStatManager.hpp", "FacStudyStatManager_8hpp.html", null ],
      [ "rmol/factory/FacSupervisor.cpp", "FacSupervisor_8cpp.html", null ],
      [ "rmol/factory/FacSupervisor.hpp", "FacSupervisor_8hpp.html", null ],
      [ "rmol/field/FldAbstract.cpp", "FldAbstract_8cpp.html", null ],
      [ "rmol/field/FldAbstract.hpp", "FldAbstract_8hpp.html", null ],
      [ "rmol/field/FldDistributionParameters.cpp", "FldDistributionParameters_8cpp.html", null ],
      [ "rmol/field/FldDistributionParameters.hpp", "FldDistributionParameters_8hpp.html", null ],
      [ "rmol/field/FldOverbookingPolicy.cpp", "FldOverbookingPolicy_8cpp.html", null ],
      [ "rmol/field/FldOverbookingPolicy.hpp", "FldOverbookingPolicy_8hpp.html", null ],
      [ "rmol/field/FldYieldRange.cpp", "FldYieldRange_8cpp.html", null ],
      [ "rmol/field/FldYieldRange.hpp", "FldYieldRange_8hpp.html", null ],
      [ "rmol/service/Logger.cpp", "Logger_8cpp.html", null ],
      [ "rmol/service/Logger.hpp", "Logger_8hpp.html", null ],
      [ "rmol/service/RMOL_Service.cpp", "RMOL__Service_8cpp.html", null ],
      [ "rmol/service/RMOL_ServiceContext.cpp", "RMOL__ServiceContext_8cpp.html", null ],
      [ "rmol/service/RMOL_ServiceContext.hpp", "RMOL__ServiceContext_8hpp.html", null ],
      [ "rmol/service/ServiceAbstract.cpp", "ServiceAbstract_8cpp.html", null ],
      [ "rmol/service/ServiceAbstract.hpp", "ServiceAbstract_8hpp.html", null ]
    ] ],
    [ "Directories", "dirs.html", [
      [ "doc", "dir_80ad7f80a5d698a63c5302f21bdd9ccc.html", [
        [ "tutorial", "dir_1983a3aa00d5da0167936fc2cf9de6e6.html", [
          [ "src", "dir_ef433d5fbd517662c4054f53e5e1fd98.html", null ]
        ] ]
      ] ],
      [ "rmol", "dir_745f2e5daa31983b744771bbfbc42755.html", [
        [ "basic", "dir_124159c890bda046ccb087db81a13153.html", null ],
        [ "batches", "dir_e3da6549f1433d31f45239c889dabf4f.html", null ],
        [ "bom", "dir_309df60e9bcd1ded5bbd4f02540006c0.html", null ],
        [ "command", "dir_372767e02341932d4c9bcaaef9ce1edd.html", null ],
        [ "config", "dir_7ff1e1669ffa40afb3f2ccbb69d87b13.html", null ],
        [ "factory", "dir_8c96107d9a167a98c1ed373d6247b2a7.html", null ],
        [ "field", "dir_1df6f4b816a68f05d3a17a8c4f754861.html", null ],
        [ "service", "dir_eb5651d34ad3569eae462a753b9830e7.html", null ]
      ] ]
    ] ],
    [ "File Members", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

